package main

import (
	"log"
	"net/http"

	"git.tovijaeschke.xyz/tovi/JumboPetstore/api"
	"git.tovijaeschke.xyz/tovi/JumboPetstore/database"

	"github.com/gorilla/mux"
)

func main() {
	var (
		router *mux.Router
	)

	log.Println("Initializing database and running AutoMigrate...")

	database.Init()

	log.Println("Initializing Petstore API...")

	// Initialize API endpoints
	router = api.InitApiEndpoints()

	// Start and listen to requests
	http.ListenAndServe(":8080", router)
}
